## kf6-syntax-highlighting 6.18.0+p24.04+vstable+git20250928.0546

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0")
+set(KF_VERSION "6.19.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
 find_package(ECM 6.18.0 REQUIRED NO_MODULE)
