## kf6-syntax-highlighting 6.18.0+p24.04+vstable+git20250930.0303

=== debian/changelog ===
kf6-syntax-highlighting (6.18.0+p24.04+vstable+git20250930.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 03:03:48 +0000
