## kf6-syntax-highlighting 6.19.0+p24.04+vstable+git20251019.0059

=== debian/changelog ===
kf6-syntax-highlighting (6.19.0+p24.04+vstable+git20251019.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 00:59:07 +0000

kf6-syntax-highlighting (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:18:13 +0000
