## kf6-syntax-highlighting 6.19.0+p24.04+vstable+git20251019.0557

=== debian/changelog ===
kf6-syntax-highlighting (6.19.0+p24.04+vstable+git20251019.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:57:47 +0000
