## kf6-syntax-highlighting 6.19.0+p24.04+vstable+git20251024.0115

=== debian/changelog ===
kf6-syntax-highlighting (6.19.0+p24.04+vstable+git20251024.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:15:18 +0000
