=== debian/control ===
Source: kf6-syntax-highlighting
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               libxerces-c-dev,
               perl,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/syntax-highlighting
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-syntax-highlighting.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-syntax-highlighting
Maintainer: Neon CI <neon@kde.org>

Package: kf6-syntax-highlighting
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6syntaxhighlighting-data,
          libkf6syntaxhighlighting-tools,
          libkf6syntaxhighlighting6,
          qml6-module-org-kde-syntaxhighlighting
Description: Syntax highlighting Engine - translations
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 This package provides the translations.

Package: kf6-syntax-highlighting-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-syntax-highlighting (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: libkf6syntaxhighlighting-dev, libkf6syntaxhighlighting-doc
Description: Syntax highlighting Engine
 This is a stand-alone implementation of the Kate syntax
 highlighting engine. It's meant as a building block for
 text editors as well as for simple highlighted text
 rendering (e.g. as HTML), supporting both integration
 with a custom editor as well as a ready-to-use
 QSyntaxHighlighter sub-class.
 .
 Contains development files for libkf6syntaxhighlighting6.

Package: libkf6syntaxhighlighting6
Architecture: all
Depends: kf6-syntax-highlighting, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6syntaxhighlighting-data
Architecture: all
Depends: kf6-syntax-highlighting, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6syntaxhighlighting-dev
Architecture: all
Depends: kf6-syntax-highlighting-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6syntaxhighlighting-doc
Architecture: all
Depends: kf6-syntax-highlighting-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6syntaxhighlighting-tools
Architecture: all
Depends: kf6-syntax-highlighting, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-syntaxhighlighting
Architecture: all
Depends: kf6-syntax-highlighting, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
