=== debian/changelog ===
kf6-syntax-highlighting (6.19.0+p24.04+vstable+git20251028.0747-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 07:48:08 +0000
