## kf6-syntax-highlighting 6.19.0+p24.04+vstable+git20251031.0310

=== debian/changelog ===
kf6-syntax-highlighting (6.19.0+p24.04+vstable+git20251031.0310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 03:10:31 +0000
