## kf6-syntax-highlighting 6.19.0+p24.04+vunstable+git20251008.1153

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 #
 # Dependencies
 #
-set(REQUIRED_QT_VERSION 6.8.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED COMPONENTS Core Network Test)
 option(KSYNTAXHIGHLIGHTING_USE_GUI "Build components depending on QtGui" ON)
 if(KSYNTAXHIGHLIGHTING_USE_GUI)
