## kf6-syntax-highlighting 6.19.0+p24.04+vunstable+git20251019.0558

=== debian/changelog ===
kf6-syntax-highlighting (6.19.0+p24.04+vunstable+git20251019.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:58:34 +0000
