## kf6-syntax-highlighting 6.20.0+p24.04+vunstable+git20251203.0048

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0")
+set(KF_VERSION "6.21.0")
 project(KSyntaxHighlighting VERSION ${KF_VERSION})
 
 find_package(ECM 6.20.0 REQUIRED NO_MODULE)
@@ -56,6 +56,9 @@
 
 find_package(Perl REQUIRED)
 set_package_properties(Perl PROPERTIES PURPOSE "Auto-generate PHP syntax definition files.")
+
+find_package(Python)
+set_package_properties(Python PROPERTIES PURPOSE "Auto-generate Jinja syntax definition files.")
 
 #
 # allow to install the "differently" licensed syntax xml files instead of putting them in a QRC and link them in
