=== debian/changelog ===
kf6-syntax-highlighting (6.20.0+p24.04+vunstable+git20251203.0048-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:48:09 +0000

kf6-syntax-highlighting (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:46 +1000
