## kf6-syntax-highlighting 6.20.0+p24.04+vunstable+git20251204.0127

=== debian/changelog ===
kf6-syntax-highlighting (6.20.0+p24.04+vunstable+git20251204.0127-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 01:27:25 +0000
